<?php defined("SYSPATH") or die("No direct script access.");

class approvalqueue_event_Core {

  static function item_deleted($item) {
    $test = ORM::factory("appq")->where("appq_item", "=", $item->id)->find();
    if($test->loaded()){
      db::build()->delete("appqs")->where("appq_item", "=", $item->id)->execute();
      message::success("Removed item from approval queue and:");
    }
  }

  static function context_menu($menu, $theme, $item) {
    if($item->parent_id == module::get_var("approvalqueue","appq_album")){
      $user = identity::active_user();
	if($user->admin && ($item->is_photo() || $item->is_movie())){
	  if(approvalqueue::verify_appr_items_have_dest_album_right($item->id) == "GOOD"){
	    $menu->get("options_menu")
	      ->append(Menu::factory("dialog")
		     ->id("approve")
		     ->label(t("Approve for posting"))
		     ->css_class("ui-icon-check g-linker-link")
		     ->url(url::site("approvalqueue/dialog/{$item->id}")));
	  } else {
	    $menu->get("options_menu")
	      ->append(Menu::factory("dialog")
		     ->id("approve")
		     ->label(t("This item should not be here"))
		     ->css_class("ui-icon-trash g-linker-link")
		     ->url(url::site("quick/form_delete/{$item->id}")));
	  }
	}
    }
  }

  static function site_menu($menu, $theme) {
    $item = $theme->item();
    if($item->parent_id == module::get_var("approvalqueue","appq_album")){
      $user = identity::active_user();
	if($user->admin && ($item->is_photo() || $item->is_movie())){
	  if(approvalqueue::verify_appr_items_have_dest_album_right($item->id) == "GOOD"){
	    $menu->get("options_menu")
	      ->append(Menu::factory("dialog")
		     ->id("approve")
		     ->label(t("Approve for posting"))
		     ->css_class("ui-icon-check g-linker-link")
		     ->url(url::site("approvalqueue/dialog/{$item->id}")));
	  } else {
	    $menu->get("options_menu")
	      ->append(Menu::factory("dialog")
		     ->id("approve")
		     ->label(t("This item should not be here"))
		     ->css_class("ui-icon-trash g-linker-link")
		     ->url(url::site("quick/form_delete/{$item->id}")));
	  }
	}
    }
  }
  
}
